package com.huimv.acquisition.socket.eartagrecive;

import com.huimv.acquisition.socket.eartagrecive.service.IClientDataPacketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.io.*;
import java.net.ServerSocket;
import java.net.Socket;

@Component
public class MySocketServer implements CommandLineRunner {

    @Autowired
    private IClientDataPacketService iClientDataPacketService;

    //不关闭
    @Override
    public void run(String... args) throws Exception {

            try
            {
                System.out.println(">>>服务启动,等待终端的连接--10024");
                ServerSocket server = new ServerSocket(10024);
                int count = 0;
                while (true)
                {
                    //开启监听
                    Socket socket = server.accept();
                    count++;
                    System.out.println(">>>开启第" + count + "次长连接...");
                    ServerThread01 thread = new ServerThread01(socket ,iClientDataPacketService);
                    thread.start();
                }
            }
            catch (Exception e)
            {
                e.printStackTrace();
            }
        }


    public static void main(String[] args) throws IOException {
        //建立socket向服务器发送连接请求
        Socket socket = new Socket("127.0.0.1", 10024);
        InputStream inputStream;
        inputStream = socket.getInputStream();
        OutputStream outputStream = socket.getOutputStream();
        //客户端向socket发送数据
        PrintWriter printWriter = new PrintWriter(outputStream);
        //printWriter.println("zj+202007239999893+133070303805451+86+0+2031+0+93+20211111153254+1.0#1.0#11600+0+end");    //没有注册
        //printWriter.println("hm+869401040126203+0+7+end");//没有注册
        //printWriter.println("zj+202007239999892+133070300000099+77+0+0+0+96+2021109916" + i +"33+1.0#1.0#9383+0+end");
        printWriter.println("zj+202007239999870+000000000000000+97+0+1975+0+62+20220105103307+1.0#1.0#12160+0+end");
        printWriter.flush();
        //读取数据
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
        String readLine = bufferedReader.readLine();
        System.out.println(readLine);
        inputStream.close();
        outputStream.close();
        socket.close();
    }
}
